स्टीम: डेबियन व्हीझीवर हे मरण न वापरता स्थापित करा (अद्यतनित)

आपण पुढील वाचन करू या पोस्टची सुधारणा आहे मागील पोस्ट, जे स्थापनेविषयी स्पष्टपणे गोंधळात टाकणारे होते स्टीम, आणि हे स्थापित करू इच्छित असलेल्या बर्‍याच जणांना ते अवघड होते.

तथापि, येथे एक पद्धत आहे जी मला खूप प्रयत्न करून नुकतीच सापडली (ती आपल्याला स्थापनेची पद्धत आठवते आइसवेसल च्या रेपो पासून डेबियन मोझिला, परंतु शेवटी ते कार्य करते):

  1. आम्ही आपल्यामध्ये मल्टीमार्क फंक्शन समाविष्ट करतो डेबियन:sudo apt-get install multiarch-support
  2. आम्ही स्थापित करण्यासाठी रेपोची स्वाक्षरी जोडली:
    wget -O- -q http://repo.steampowered.com/steam/signature.gpg | जीपीजी - आयपोर्ट जीपीजी --चेक-सिग्स - फिंगरप्रिंट - कीरिंग / ऑसर / शेअर / कीरिंग्ज / डेबियन- कीरिंग.gpg बी05498 बी 7 जीपीजी - एक्सपोर्ट -ए बी05498 बी 7 | sudo apt-key जोडा -

    जोडा /etc/apt/sources.list पुढील, पुढचे:

    deb http://repo.steampowered.com/steam precise steam

  3. खालील चालवा:sudo apt-get install -t precise steam steam-launcher
  4. जर ते अवलंबन विचारतील:sudo apt-get -f install

Libc6 समस्या निराकरण करा

प्रथम येणारी स्टीम समस्या मुळात लिबसी 6 लायब्ररीवर अवलंबून असते, ज्यात किमान आवृत्ती 2.15 आवश्यक असते. समस्या टाळण्यासाठी आम्ही केवळ येथूनच Libc6 लायब्ररी वाचवू डेबियन जेसी फसवणे खालील प्रक्रिया (लघु परंतु कार्यशील):

  1. आम्ही खालील ओळ जोडतो /etc/apt/sources.list:deb http://ftp.us.debian.org/debian/ testing main contrib non-free
  2. आम्ही एक निर्देशिका तयार करतो ज्यामध्ये ती फाईल तयार करुन डिस्टग-अपग्रेड टाळण्यासाठी पिंगमधील प्राथमिकता दर्शविते / etc / आपट / प्राधान्ये नॅनो सह:
    पॅकेज: * पिन: मूळ repo.steampowered.com पिन-अग्रक्रम: 400 पॅकेज: * पिन: ए = चाचणी पिन-अग्रक्रमता: -10
  3. अद्यतनित libc6 स्थापित करण्यासाठी आम्ही खालील आज्ञा कार्यान्वित करतो:apt-get -t testing install libc6

आणि म्हणून आपल्याकडे अडचणीशिवाय स्टीम चालू आहे

असो, मी ही पद्धत शोधली आहे कारण मी रेपो निर्देशिकेचा दौरा केला आहे स्टीमॉसआधारित आहे डेबियन व्हेझी. आणि आम्ही हा फायदा वाया घालवू शकत नाही, म्हणून मी हे ट्यूटोरियल करण्याचे ठरविले, आता आपल्याला यापुढे अवलंबनांची आवश्यकता नाही उबंटू असं काही नाही.

असं असलं तरी, डेबियन व्हेझी आणि भविष्यातील आवृत्त्यांवर स्टीमचा आनंद घ्या (आता हो)

स्टीम

डेबियन 7.5 "व्हेजी" (64-बिट) वर स्टीम, आनंदाने माझ्या नेटबुकवर स्थापित केले.

डेबियन जेसी (आणि एसआयडी) यांचे शाखेत रेपो आहेत अ-मुक्त a स्टीम, जर आपण डिस्ट्रोच्या त्या आवृत्त्या वापरल्या तर आपण डेबियनवर विश्वास ठेवण्यास प्राधान्य देत असल्यास. या व्यतिरिक्त, हे ट्यूटोरियल इन मधील मजकूराच्या शेवटी देखील आहे साइटवरून पेस्ट करा.

लेखाची सामग्री आमच्या तत्त्वांचे पालन करते संपादकीय नीति. त्रुटी नोंदविण्यासाठी क्लिक करा येथे.

20 टिप्पण्या, आपल्या सोडा

आपली टिप्पणी द्या

आपला ई-मेल पत्ता प्रकाशित केला जाणार नाही. आवश्यक फील्ड चिन्हांकित केले आहेत *

*

*

  1. डेटा जबाबदार: मिगुएल Áन्गल गॅटन
  2. डेटाचा उद्देशः नियंत्रण स्पॅम, टिप्पणी व्यवस्थापन.
  3. कायदे: आपली संमती
  4. डेटा संप्रेषण: कायदेशीर बंधन वगळता डेटा तृतीय पक्षास कळविला जाणार नाही.
  5. डेटा संग्रहण: ओकेन्टस नेटवर्क (EU) द्वारा होस्ट केलेला डेटाबेस
  6. अधिकारः कोणत्याही वेळी आपण आपली माहिती मर्यादित, पुनर्प्राप्त आणि हटवू शकता.

  1.   LJlcmux म्हणाले

    आपणास स्टीमॉसबद्दल काय माहित आहे?

    1.    इलियोटाइम 3000 म्हणाले

      जे आधीपासूनच बीटामध्ये आहे आणि त्याऐवजी नुकतेच डेबियन व्हेझी 7.5 ने पकडले आहे.

    2.    क्रिस्टियानएचसीडी म्हणाले

      जर आपण भागीदार आणि त्यांच्या स्टीम मशीनसह काही केले नाही तर हे अयशस्वी होईल, पॅकेजची मालिका ओएस हे एकमेव साधन आहे.

      एएमडी / एनव्हीडिया ड्राइव्हर्स्च्या समर्थनात सुधारणा दिसून येत आहेत, परंतु अद्याप वचन दिले गेले नाही, ही एक गंभीर समस्या आहे, कारण सामान्य वापरकर्ता स्टीम, किंवा स्टीम ओएस, हार्डवेअर-प्रमाणपत्र असलेल्या स्टीम मशीनवर स्थापित करणार नाही. "

  2.   cr0t0 म्हणाले

    डेबियन 7.4 मध्ये मी त्यानुसार स्थापित केले होते https://github.com/GhostSquad57/Steam-Installer-for-Wheezy परंतु लेफ्ट 4 डीएड 2 मध्ये गामा समस्या होती, ती फारच दुर्मिळ होती आणि मला तोडगा सापडला नाही. लुबंटू 14.04 वर क्लिक करा आणि प्ले करा. मी परत येईन डियर व्हीजी.

    1.    इलियोटाइम 3000 म्हणाले

      बरं, मी स्टीम स्थापित करण्याची पद्धत थेट स्टीमॉस रेपोमधून प्राप्त केली आहे, जी कोणत्याही मोठ्या अडचणीशिवाय डेबियन व्हेझीसाठी अनुकूलित आहे.

  3.   नाममात्र म्हणाले

    स्टीम पॅकेज चाचणीत आहे, ज्याच्याकडे स्थिर असेल तो रिपो बदलून ते स्थापित करण्यासाठी चाचणीमध्ये बदलू शकतो आणि पुढील गुंतागुंत न करता स्थिरवर परत येऊ शकतो.

    1.    इलियोटाइम 3000 म्हणाले

      बरं, स्टीमओएस रेपोमधून थेट स्टीमची आवृत्ती मला मिळाली, कारण डेबियन व्हेझी यांच्याशी काम करणे अधिक अनुकूलित आहे आणि अशा प्रकारे आपण डाउनलोड केलेले गेम चालविण्यास परवानगी देतात किंवा एएलएसएमध्ये कोणतीही समस्या नाही.

  4.   अल्बर्टो व्हिला म्हणाले

    आमच्या कॉम्प्युसमध्ये EFI सह विन्ड 7 नावाचे विअरडो असल्यास, ते GRUB सह कसे स्थापित करायचे याबद्दलचे ट्यूटोरियल बनवण्याची शक्यता आहे?

    1.    अल्बर्टो व्हिला म्हणाले

      म्हणजे स्टीम ओएस. तसे, मस्त .. हे मी कुठे पोस्ट करीत आहे हे दर्शवित आहे ... (ओएस) .. परंतु हे कार्य संगणक आहे ¬¬

    2.    इलियोटाइम 3000 म्हणाले

      मध्ये येणारे स्टीमओएस इंस्टॉलर अधिकृत आयएसओ, हे GRUB सह येते, जे आपल्याला अतिरिक्त ओएसचे समर्थन करते. तसेच स्टीमॉस इंस्टॉलर हे डेबियनसारखेच आहे, म्हणूनच आपण विंडोजच्या बाजूला हे स्थापित केले तर अडचण येऊ नये.

      यूईएफआयच्या बाजूला, येथे काही वेबसाइट्स आहेत जे यूईएफआय आणि कसे स्थापित करावे याबद्दल चर्चा करतात यूईएफआयसह डेबियन व्हेझी (y येथे आणखी एक पद्धत आहे ते आपल्याला मदत करू शकतात).

  5.   अल्फानो म्हणाले

    मी डेबियन 7 मध्ये स्टीम स्थापित केली आहे, समस्या असा आहे की प्रोग्राम उघडण्याचा प्रयत्न करताना तो मला पास विचारतो, परंतु हे पीसीचे वापरकर्तानाव आणते स्टीम नाव नाही. कोणतीही config कॉन्फिगर करण्यासाठी फाइल? हे मला वापरकर्तानाव बदलण्याची परवानगी देत ​​नाही.

    धन्यवाद

    1.    इलियोटाइम 3000 म्हणाले

      स्टीम विंडो तुम्हाला कसा दिसेल? लॉगिन फॉर्म प्रमाणेच किंवा टर्मिनल (किंवा कन्सोल) जो वापरकर्ता पास विचारतो?

      1.    अल्फानो म्हणाले

        टर्मिनल दिसेल.

  6.   इलियोटाइम 3000 म्हणाले

    टर्मिनल आढळल्यास, आपल्या टर्मिनलमध्ये या दोन ओळी चालवा:

    wget http://dl.dropbox.com/u/29081229/Steam/debian_install.sh

    sh ./debian_install.sh

    आणि म्हणून वापरकर्त्याच्या संकेतशब्दाची समस्या यापुढे दिसणार नाही (सामान्यत: जेव्हा उबंटू रेपोमधील जकी अवलंबित्व स्थापित केलेले नसते तेव्हा दिसून येते).

    1.    अल्फानो म्हणाले

      मी यापूर्वीच चरण पूर्ण केले आहेत आणि मी अजूनही त्यामध्ये आहे. हे विस्थापित करणे आवश्यक असेल?

    2.    अल्फानो म्हणाले

      हे मला खालील प्रोग्राम्स स्थापित करण्यास सांगतात:

      libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386

      पण जेव्हा मी हे करण्याचा प्रयत्न करतो तेव्हा मला आख्यायिका मिळते: "पॅकेजेसमध्ये अपूर्ण भरती आहे"

  7.   सुताची लडी म्हणाले

    अहो मित्रा एक हजार धन्यवाद मी स्टीम स्थापित करणे आणि माझ्या डेबियन जेसीवर उत्तम प्रकारे काम करण्याचा सर्वात सोपा मार्ग

    धन्यवाद.

  8.   रॉबर्म्स म्हणाले

    आपण स्टीम एडिट वर ठेवलेल्या अचूक स्टीम स्टीम-लाँचर-अप्ट-इनस्टल कमांडमध्ये हे योग्य असेल तर ते योग्य असेल जसे-स्थापित करा -t अचूक स्टीम-लाँचर ग्रीटिंग्ज

  9.   नेबस म्हणाले

    हॅलो, दुर्दैवाने मी या चरणात हरवले:

    «आम्ही एक निर्देशिका तयार करतो ज्यात नानोसह फाइल / इत्यादी / एपीटी / प्राधान्ये तयार करून डिस्टग-अपग्रेड टाळण्यासाठी पिंगमधील प्राथमिकता दर्शवितात:»

    फाईलमध्ये असलेली सामग्री माझ्यासाठी स्पष्ट आहे, परंतु आम्हाला काही उपनिर्देशिकेत फाइल इत्यादी / एपीटी / प्राधान्यांमधून तयार करावी लागेल का? जेव्हा मी "आम्ही एक निर्देशिका तयार करतो ..." ठेवले तेव्हा मला एक शंका आहे
    आणि त्या फाईलचे नाव काय असावे? आणि काय विस्तार?

    ste स्टीम नसण्याऐवजी, आधीपासून आहे, जर मी माझ्या घरातील काहीही न भरवता आपल्या लाकडावर लिबसी 6 लावून घेण्याचे ठरविले तर ते तुम्हाला देवतांची वेदी बनवून देईल! मला कामासाठी प्रयत्न करू इच्छित असलेल्या बर्‍याच ऑडिओ आणि व्हिडिओ अॅप्सद्वारे हॅपी लिबची आवश्यकता आहे, परंतु आता मी जोखीम घेणे थांबविले आहे.

    आगाऊ धन्यवाद!

  10.   एक्वाड्रागो म्हणाले

    हॅलो, जेव्हा मी लाँचर चालवितो तेव्हा मला खालील त्रुटी येते:

    पॅकेज सूची वाचत आहे ... पूर्ण झाले
    ई: 'अचूक' मूल्य एपीटीसाठी अवैध आहे :: डीफॉल्ट-रिलीझ स्त्रोतांमध्ये उपलब्ध नसल्यामुळे

    मी हे कसे सोडवू?